#
# Conditional build:
%bcond_without	doc	# HTML documentation build
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module
%bcond_with	tests	# unit tests [fail with pytest 3.0?]

%define		module	py
Summary:	Library with cross-python path, ini-parsing, io, code, log facilities
Summary(pl.UTF-8):	Biblioteka wspierająca obsługę ścieżek, ini, we/wy, kodowania i logowania w wielu Pythonach
Name:		python-%{module}
Version:	1.7.0
Release:	1
License:	MIT
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/py/
Source0:	https://files.pythonhosted.org/packages/source/p/py/py-%{version}.tar.gz
# Source0-md5:	e53ac12db4286737837ef3ccb4158301
Source1:	http://docs.python.org/objects.inv?/python-objects.inv
# Source1-md5:	3d3c0b594b2e91d559418c107d973633
Patch0:		%{name}-offline.patch
URL:		https://pypi.org/project/py/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-setuptools >= 7.0
BuildRequires:	python-setuptools_scm
%if %{with tests}
%if %(locale -a | grep -q '^C\.utf8$'; echo $?)
BuildRequires:	glibc-localedb-all
%endif
BuildRequires:	python-pytest >= 2.9.0
%endif
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.4
BuildRequires:	python3-modules >= 1:3.4
BuildRequires:	python3-setuptools >= 7.0
BuildRequires:	python3-setuptools_scm
%if %{with tests}
%if %(locale -a | grep -q '^C\.utf8$'; echo $?)
BuildRequires:	glibc-localedb-all
%endif
BuildRequires:	python3-pytest >= 2.9.0
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%{?with_doc:BuildRequires:	sphinx-pdg >= 1.0}
%{?with_doc:BuildRequires:	python-devel-tools}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The py lib is a Python development support library featuring the
following tools and modules:
 - py.path: uniform local and svn path objects
 - py.apipkg: explicit API control and lazy-importing
 - py.iniconfig: easy parsing of .ini files
 - py.code: dynamic code generation and introspection

%description -l pl.UTF-8
Biblioteka py to biblioteka wpierająca tworzenie oprogramowania w
Pythonie. Zawiera następujące narzędzia i moduły:
 - py.path - jednolite obiekty ścieżek lokalnych i svn
 - py.apipkg - bezpośrednia kontrola API i leniwego importowania
 - py.iniconfig - łatwa analiza plików .ini
 - py.code - dynamiczne generowanie kodu i introspekcji

%package -n python3-py
Summary:	Library with cross-python path, ini-parsing, io, code, log facilities
Summary(pl.UTF-8):	Biblioteka wspierająca obsługę ścieżek, ini, we/wy, kodowania i logowania w wielu Pythonach
Group:		Development/Languages/Python

%description -n python3-py
The py lib is a Python development support library featuring the
following tools and modules:
- py.path: uniform local and svn path objects
- py.apipkg: explicit API control and lazy-importing
- py.iniconfig: easy parsing of .ini files
- py.code: dynamic code generation and introspection

%description -n python3-py -l pl.UTF-8
Biblioteka py to biblioteka wpierająca tworzenie oprogramowania w
Pythonie. Zawiera następujące narzędzia i moduły:
 - py.path - jednolite obiekty ścieżek lokalnych i svn
 - py.apipkg - bezpośrednia kontrola API i leniwego importowania
 - py.iniconfig - łatwa analiza plików .ini
 - py.code - dynamiczne generowanie kodu i introspekcji

%package apidocs
Summary:	Documentation for Python py library
Summary(pl.UTF-8):	Dokumentacja do biblioteki Pythona py
Group:		Documentation

%description apidocs
Documentation for Python py library.

%description apidocs -l pl.UTF-8
Dokumentacja do biblioteki Pythona py.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

cp -p %{SOURCE1} doc

%build
%if %{with python2}
%py_build

%if %{with tests}
LC_ALL=C.UTF-8 \
%{__python} -m pytest testing
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
LC_ALL=C.UTF-8 \
%{__python3} -m pytest testing
%endif
%endif

%if %{with doc}
PYTHONPATH=$(pwd) \
%{__make} -C doc html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG LICENSE README.rst
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-py
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG LICENSE README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc doc/_build/html/{_modules,_static,announce,*.html,*.js}
%endif
%changelog
* Sat Nov 24 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-py.git;a=log;h=master

* Sat Nov 24 2018 Jakub Bogusz <qboosh@pld-linux.org> a9ac464
- updated to 1.7.0

* Sun Jul 15 2018 Jakub Bogusz <qboosh@pld-linux.org> 7dfde63
- updated to 1.5.4

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d503f1
- release 2 (by relup.sh)

* Sat Mar 04 2017 Jakub Bogusz <qboosh@pld-linux.org> 5edc300
- updated to 1.4.32
- separated -apidocs instead of including over 2MB of docs in both python packages

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 8042723
- python3.6
- release 2 (by relup.sh)

* Sun Feb 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 134d509
- noted download URL

* Mon Nov 30 2015 Jacek Konieczny <jajcus@jajcus.net> 1633957
- fix install

* Mon Nov 30 2015 Jacek Konieczny <jajcus@jajcus.net> 4ed0642
- Version: 1.4.31

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 2e3dd66
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 69af599
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 438626b
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 0d103d9
- release 2 (by relup.sh)

* Fri Jun 12 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 5d86414
- Version: 1.4.28

* Sun Mar 15 2015 Jan Rękorajski <baggins@pld-linux.org> 4c00153
- release 2 (by relup.sh)

* Sat Oct 25 2014 Jakub Bogusz <qboosh@pld-linux.org> ca45e25
- updated to 1.4.26
- unified

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ef55db
- python 3.4
- release 2 (by relup.sh)

* Thu Jul 17 2014 Jakub Bogusz <qboosh@pld-linux.org> c1455fd
- updated to 1.4.22

* Sun Feb 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 4db2b4c
- updated to 1.4.20

* Sun Jul 07 2013 Elan Ruusamäe <glen@delfi.ee> 07eac4e
- rebuild without py2 specific pythonegg() provides
- release 2 (by relup.sh)

* Sun Mar 17 2013 Jakub Bogusz <qboosh@pld-linux.org> e50d971
- pl for python3-
- cleanups; setuptools is build, not install time dependency

